HaruPage::getDash
HaruPage::getFlatness
HaruPage
PHP Manual

# HaruPage::getFillingColorSpace

(PECL haru >= 0.0.1)

HaruPage::getFillingColorSpace — Get the current filling color space

### Description

int HaruPage::getFillingColorSpace ( void )

Get the current filling color space.

### Parameters

This function has no parameters.

### Return Values

Returns the current filling color space. The result value is one of the following:

- `HaruDoc::CS_DEVICE_GRAY`
- `HaruDoc::CS_DEVICE_RGB`
- `HaruDoc::CS_DEVICE_CMYK`
- `HaruDoc::CS_CAL_GRAY`
- `HaruDoc::CS_CAL_RGB`
- `HaruDoc::CS_LAB`
- `HaruDoc::CS_ICC_BASED`
- `HaruDoc::CS_SEPARATION`
- `HaruDoc::CS_DEVICE_N`
- `HaruDoc::CS_INDEXED`
- `HaruDoc::CS_PATTERN`

### Errors/Exceptions

Throws a HaruException on error.

HaruPage::getDash
HaruPage::getFlatness
HaruPage
PHP Manual